Subject: Re: bug#13139: 24.3.50; vc-git: Suppress load message

From: Christopher Schmidt <[email-masked]>
Date: Tue, 11 Dec 2012 17:46:00 +0000 (GMT)

Glenn Morris <[email-masked]> writes:
> Andreas Schwab wrote:
>
>> Christopher Schmidt <[email-masked]> writes:
>>
>>> +	* vc/vc-git.el (vc-git-registered): Suppress load message of
>>> +	vc-git.
>>
>> Why only vc-git?
>
> The more obvious question is: why do this at all?  I can only assume
> "because I found it slightly irritating", which doesn't seem like a
   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
That's it.  The message does not provide any value to me and it might
override previous messages which are actually important.

> good reason to me. I'd say that the loading message is a slightly
> useful diagnostic, eg in case something goes unexpectedly wrong. It's
> a once-per-session message, so surely it's easy to ignore if it
> bothers you.

How is this message useful in case something goes wrong?

        Christopher